// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : test.c
// Author        : xianfeng.du
// Created On    : 2022-11-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include <stddef.h>
#include <string.h>
#include <sys/time.h>
#include <unistd.h>

#include "typedef.h"
#include "ucp_printf.h"
#include "msg_transfer_mem.h"
#include "ecs_sm_mgt.h"
#include "ucp_handshake.h"
#include "ospShell.h"
#include "stc_drv.h"
#include "ospLog.h"
#include "osp_cfg_to_bin.h"

#include "ucp_api_jesd.h"
#include "ucp_api_transceiver.h"

extern void ad9025_rssi(void);

int32_t test_case(uint32_t argc, int32_t* argvp)
{
	UCP_PRINT_DEBUG("start running testcase 42s.");
	UCP_PRINT_DEBUG("print rssi.");
	
	UCP_API_JESD_PlatformSetup();
	UCP_API_TRANSCEIVER_Init();
	ad9025_rssi();
	
    return 0;
}

